--[[
@ by Ziuta
@ 03.02.2017
@ v1.0.0

http://landwirtschafts-simulator.pl/

You can use and edit but keep the original author ;)
]]

tedderScrollers = {}

function tedderScrollers.prerequisitesPresent(specializations)
   return SpecializationUtil.hasSpecialization(Tedder, specializations)
end

function tedderScrollers:load(savegame)	
	if self.isClient then
		self.tedderTurnedOnScrollers = Utils.loadScrollers(self.components, self.xmlFile, "vehicle.tedderTurnedOnScrollers.tedderTurnedOnScroller", {}, false);
	end
end

function tedderScrollers:delete()
end

function tedderScrollers:readStream(streamId, connection)
end

function tedderScrollers:writeStream(streamId, connection)	
end

function tedderScrollers:getSaveAttributesAndNodes(nodeIdent)
end

function tedderScrollers:mouseEvent(posX, posY, isDown, isUp, button)
end

function tedderScrollers:keyEvent(unicode, sym, modifier, isDown)
end

function tedderScrollers:update(dt)
	if self.isClient then
		Utils.updateScrollers(self.tedderTurnedOnScrollers, dt, self:getIsActive() and self:getIsTurnedOn());
	end
end

function tedderScrollers:updateTick(dt)
end

function tedderScrollers:draw()
end